Far Cry 4 System Requirements Confirm You'll Need 64-Bit OS

Information
2014-Nov-07 | Tags: gamewindows8

Start64!Far Cry 4 has something in common with Ubisoft's other fall releases The Crew and Assassin's Creed Unity: you'll need a 64-bit operating system to run it even on its lowest settings. Here are the minimum and recommended system requirements announced by Ubisoft this afternoon:

...

The Far Cry 4 requirements aren't nearly as steep as Assassin's Creed Unity's. You can run FC4 on minimum settings with 2GB less RAM and a much older video card. Unlike Unity, FC4 was developed for PS3 and Xbox 360 as well so it's no shock that the game would play nicer with older PC's.


facebook-3 twitter-3 rss-3 email-3

logo-bottom